? lib/libtasn1.pc
Index: lib/errors.c
===================================================================
RCS file: /cvs/gnutls/libtasn1/lib/errors.c,v
retrieving revision 1.10
diff -u -3 -p -u -r1.10 errors.c
--- lib/errors.c	10 Dec 2004 15:50:06 -0000	1.10
+++ lib/errors.c	3 Feb 2005 15:36:56 -0000
@@ -52,7 +52,7 @@ static libtasn1_error_entry error_algori
 	LIBTASN1_ERROR_ENTRY( ASN1_NAME_TOO_LONG ),
 	LIBTASN1_ERROR_ENTRY( ASN1_ARRAY_ERROR ),
 	LIBTASN1_ERROR_ENTRY( ASN1_ELEMENT_NOT_EMPTY ),
-	{0}
+	{NULL}
 };
 
 #define LIBTASN1_ERROR_LOOP(b) \
Index: src/asn1Coding.c
===================================================================
RCS file: /cvs/gnutls/libtasn1/src/asn1Coding.c,v
retrieving revision 1.8
diff -u -3 -p -u -r1.8 asn1Coding.c
--- src/asn1Coding.c	26 Feb 2004 16:12:06 -0000	1.8
+++ src/asn1Coding.c	3 Feb 2005 15:36:56 -0000
@@ -129,11 +129,11 @@ main(int argc,char *argv[])
 #ifdef HAVE_GETOPT_LONG
   static struct option long_options[] =
   {
-    {"help",    no_argument,       0, 'h'},
-    {"version", no_argument,       0, 'v'},
-    {"check",   no_argument,       0, 'c'},
-    {"output",  required_argument, 0, 'o'},
-    {0, 0, 0, 0}
+    {"help",    no_argument,       NULL, 'h'},
+    {"version", no_argument,       NULL, 'v'},
+    {"check",   no_argument,       NULL, 'c'},
+    {"output",  required_argument, NULL, 'o'},
+    {NULL,      0,                 NULL,  0}
   };
   int option_index=0;
 #endif
Index: src/asn1Decoding.c
===================================================================
RCS file: /cvs/gnutls/libtasn1/src/asn1Decoding.c,v
retrieving revision 1.6
diff -u -3 -p -u -r1.6 asn1Decoding.c
--- src/asn1Decoding.c	26 Feb 2004 16:14:52 -0000	1.6
+++ src/asn1Decoding.c	3 Feb 2005 15:36:56 -0000
@@ -74,10 +74,10 @@ main(int argc,char *argv[])
 #ifdef HAVE_GETOPT_LONG
   static struct option long_options[] =
   {
-    {"help",    no_argument,       0, 'h'},
-    {"version", no_argument,       0, 'v'},
-    {"check",   no_argument,       0, 'c'},
-    {0, 0, 0, 0}
+    {"help",    no_argument,       NULL, 'h'},
+    {"version", no_argument,       NULL, 'v'},
+    {"check",   no_argument,       NULL, 'c'},
+    {NULL,      0,                 NULL, 0}
   };
  int option_index = 0;
 #endif
Index: src/asn1Parser.c
===================================================================
RCS file: /cvs/gnutls/libtasn1/src/asn1Parser.c,v
retrieving revision 1.6
diff -u -3 -p -u -r1.6 asn1Parser.c
--- src/asn1Parser.c	30 Jul 2003 19:55:03 -0000	1.6
+++ src/asn1Parser.c	3 Feb 2005 15:36:56 -0000
@@ -77,12 +77,12 @@ main(int argc,char *argv[])
 #ifdef HAVE_GETOPT_LONG
   static struct option long_options[] =
   {
-    {"help",    no_argument,       0, 'h'},
-    {"version", no_argument,       0, 'v'},
-    {"check",   no_argument,       0, 'c'},
-    {"output",  required_argument, 0, 'o'},
-    {"name",    required_argument, 0, 'n'},
-    {0, 0, 0, 0}
+    {"help",    no_argument,       NULL, 'h'},
+    {"version", no_argument,       NULL, 'v'},
+    {"check",   no_argument,       NULL, 'c'},
+    {"output",  required_argument, NULL, 'o'},
+    {"name",    required_argument, NULL, 'n'},
+    {NULL,      0,                 NULL, 0}     
   };
   int option_index = 0;
 #endif
Index: src/pkix_asn1_tab.c
===================================================================
RCS file: /cvs/gnutls/libtasn1/src/pkix_asn1_tab.c,v
retrieving revision 1.2
diff -u -3 -p -u -r1.2 pkix_asn1_tab.c
--- src/pkix_asn1_tab.c	11 Jun 2002 08:59:04 -0000	1.2
+++ src/pkix_asn1_tab.c	3 Feb 2005 15:36:57 -0000
@@ -2,8 +2,8 @@
 #include "libtasn1.h"
 
 const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
-  {"PKIX1Implicit88",536875024,0},
-  {0,1610612748,0},
+  {"PKIX1Implicit88",536875024,NULL},
+  {NULL,1610612748,NULL},
   {"iso",1073741825,"1"},
   {"identified-organization",1073741825,"3"},
   {"dod",1073741825,"6"},
@@ -13,29 +13,29 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"pkix",1073741825,"7"},
   {"id-mod",1073741825,"0"},
   {"id-pkix1-implicit-88",1,"2"},
-  {"id-ce",1879048204,0},
+  {"id-ce",1879048204,NULL},
   {"joint-iso-ccitt",1073741825,"2"},
   {"ds",1073741825,"5"},
-  {0,1,"29"},
-  {"id-ce-authorityKeyIdentifier",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"35"},
-  {"AuthorityKeyIdentifier",1610612741,0},
+  {NULL,1,"29"},
+  {"id-ce-authorityKeyIdentifier",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"35"},
+  {"AuthorityKeyIdentifier",1610612741,NULL},
   {"keyIdentifier",1610637314,"KeyIdentifier"},
-  {0,4104,"0"},
+  {NULL,4104,"0"},
   {"authorityCertIssuer",1610637314,"GeneralNames"},
-  {0,4104,"1"},
+  {NULL,4104,"1"},
   {"authorityCertSerialNumber",536895490,"CertificateSerialNumber"},
-  {0,4104,"2"},
-  {"KeyIdentifier",1073741831,0},
-  {"id-ce-subjectKeyIdentifier",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"14"},
+  {NULL,4104,"2"},
+  {"KeyIdentifier",1073741831,NULL},
+  {"id-ce-subjectKeyIdentifier",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"14"},
   {"SubjectKeyIdentifier",1073741826,"KeyIdentifier"},
-  {"id-ce-keyUsage",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"15"},
-  {"KeyUsage",1610874886,0},
+  {"id-ce-keyUsage",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"15"},
+  {"KeyUsage",1610874886,NULL},
   {"digitalSignature",1073741825,"0"},
   {"nonRepudiation",1073741825,"1"},
   {"keyEncipherment",1073741825,"2"},
@@ -45,157 +45,157 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"cRLSign",1073741825,"6"},
   {"encipherOnly",1073741825,"7"},
   {"decipherOnly",1,"8"},
-  {"id-ce-privateKeyUsagePeriod",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"16"},
-  {"PrivateKeyUsagePeriod",1610612741,0},
-  {"notBefore",1619025937,0},
-  {0,4104,"0"},
-  {"notAfter",545284113,0},
-  {0,4104,"1"},
-  {"id-ce-certificatePolicies",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"32"},
-  {"CertificatePolicies",1612709899,0},
+  {"id-ce-privateKeyUsagePeriod",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"16"},
+  {"PrivateKeyUsagePeriod",1610612741,NULL},
+  {"notBefore",1619025937,NULL},
+  {NULL,4104,"0"},
+  {"notAfter",545284113,NULL},
+  {NULL,4104,"1"},
+  {"id-ce-certificatePolicies",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"32"},
+  {"CertificatePolicies",1612709899,NULL},
   {"MAX",1074266122,"1"},
-  {0,2,"PolicyInformation"},
-  {"PolicyInformation",1610612741,0},
+  {NULL,2,"PolicyInformation"},
+  {"PolicyInformation",1610612741,NULL},
   {"policyIdentifier",1073741826,"CertPolicyId"},
-  {"policyQualifiers",538984459,0},
+  {"policyQualifiers",538984459,NULL},
   {"MAX",1074266122,"1"},
-  {0,2,"PolicyQualifierInfo"},
-  {"CertPolicyId",1073741836,0},
-  {"PolicyQualifierInfo",1610612741,0},
+  {NULL,2,"PolicyQualifierInfo"},
+  {"CertPolicyId",1073741836,NULL},
+  {"PolicyQualifierInfo",1610612741,NULL},
   {"policyQualifierId",1073741826,"PolicyQualifierId"},
-  {"qualifier",541065229,0},
-  {"policyQualifierId",1,0},
-  {"PolicyQualifierId",1073741836,0},
+  {"qualifier",541065229,NULL},
+  {"policyQualifierId",1,NULL},
+  {"PolicyQualifierId",1073741836,NULL},
   {"CPSuri",1073741826,"IA5String"},
-  {"UserNotice",1610612741,0},
+  {"UserNotice",1610612741,NULL},
   {"noticeRef",1073758210,"NoticeReference"},
   {"explicitText",16386,"DisplayText"},
-  {"NoticeReference",1610612741,0},
+  {"NoticeReference",1610612741,NULL},
   {"organization",1073741826,"DisplayText"},
-  {"noticeNumbers",536870923,0},
-  {0,3,0},
-  {"DisplayText",1610612754,0},
+  {"noticeNumbers",536870923,NULL},
+  {NULL,3,NULL},
+  {"DisplayText",1610612754,NULL},
   {"visibleString",1612709890,"VisibleString"},
   {"200",524298,"1"},
   {"bmpString",1612709890,"BMPString"},
   {"200",524298,"1"},
   {"utf8String",538968066,"UTF8String"},
   {"200",524298,"1"},
-  {"id-ce-policyMappings",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"33"},
-  {"PolicyMappings",1612709899,0},
+  {"id-ce-policyMappings",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"33"},
+  {"PolicyMappings",1612709899,NULL},
   {"MAX",1074266122,"1"},
-  {0,536870917,0},
+  {NULL,536870917,NULL},
   {"issuerDomainPolicy",1073741826,"CertPolicyId"},
   {"subjectDomainPolicy",2,"CertPolicyId"},
-  {"id-ce-subjectAltName",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"17"},
+  {"id-ce-subjectAltName",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"17"},
   {"SubjectAltName",1073741826,"GeneralNames"},
-  {"GeneralNames",1612709899,0},
+  {"GeneralNames",1612709899,NULL},
   {"MAX",1074266122,"1"},
-  {0,2,"GeneralName"},
-  {"GeneralName",1610612754,0},
+  {NULL,2,"GeneralName"},
+  {"GeneralName",1610612754,NULL},
   {"otherName",1610620930,"AnotherName"},
-  {0,4104,"0"},
+  {NULL,4104,"0"},
   {"rfc822Name",1610620930,"IA5String"},
-  {0,4104,"1"},
+  {NULL,4104,"1"},
   {"dNSName",1610620930,"IA5String"},
-  {0,4104,"2"},
+  {NULL,4104,"2"},
   {"x400Address",1610620930,"ORAddress"},
-  {0,4104,"3"},
+  {NULL,4104,"3"},
   {"directoryName",1610620930,"Name"},
-  {0,4104,"4"},
+  {NULL,4104,"4"},
   {"ediPartyName",1610620930,"EDIPartyName"},
-  {0,4104,"5"},
+  {NULL,4104,"5"},
   {"uniformResourceIdentifier",1610620930,"IA5String"},
-  {0,4104,"6"},
-  {"iPAddress",1610620935,0},
-  {0,4104,"7"},
-  {"registeredID",536879116,0},
-  {0,4104,"8"},
-  {"AnotherName",1610612741,0},
-  {"type-id",1073741836,0},
-  {"value",541073421,0},
-  {0,1073743880,"0"},
-  {"type-id",1,0},
-  {"EDIPartyName",1610612741,0},
+  {NULL,4104,"6"},
+  {"iPAddress",1610620935,NULL},
+  {NULL,4104,"7"},
+  {"registeredID",536879116,NULL},
+  {NULL,4104,"8"},
+  {"AnotherName",1610612741,NULL},
+  {"type-id",1073741836,NULL},
+  {"value",541073421,NULL},
+  {NULL,1073743880,"0"},
+  {"type-id",1,NULL},
+  {"EDIPartyName",1610612741,NULL},
   {"nameAssigner",1610637314,"DirectoryString"},
-  {0,4104,"0"},
+  {NULL,4104,"0"},
   {"partyName",536879106,"DirectoryString"},
-  {0,4104,"1"},
-  {"id-ce-issuerAltName",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"18"},
+  {NULL,4104,"1"},
+  {"id-ce-issuerAltName",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"18"},
   {"IssuerAltName",1073741826,"GeneralNames"},
-  {"id-ce-subjectDirectoryAttributes",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"9"},
-  {"SubjectDirectoryAttributes",1612709899,0},
-  {"MAX",1074266122,"1"},
-  {0,2,"Attribute"},
-  {"id-ce-basicConstraints",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"19"},
-  {"BasicConstraints",1610612741,0},
-  {"cA",1610645508,0},
-  {0,131081,0},
-  {"pathLenConstraint",537411587,0},
+  {"id-ce-subjectDirectoryAttributes",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"9"},
+  {"SubjectDirectoryAttributes",1612709899,NULL},
+  {"MAX",1074266122,"1"},
+  {NULL,2,"Attribute"},
+  {"id-ce-basicConstraints",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"19"},
+  {"BasicConstraints",1610612741,NULL},
+  {"cA",1610645508,NULL},
+  {NULL,131081,NULL},
+  {"pathLenConstraint",537411587,NULL},
   {"0",10,"MAX"},
-  {"id-ce-nameConstraints",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"30"},
-  {"NameConstraints",1610612741,0},
+  {"id-ce-nameConstraints",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"30"},
+  {"NameConstraints",1610612741,NULL},
   {"permittedSubtrees",1610637314,"GeneralSubtrees"},
-  {0,4104,"0"},
+  {NULL,4104,"0"},
   {"excludedSubtrees",536895490,"GeneralSubtrees"},
-  {0,4104,"1"},
-  {"GeneralSubtrees",1612709899,0},
+  {NULL,4104,"1"},
+  {"GeneralSubtrees",1612709899,NULL},
   {"MAX",1074266122,"1"},
-  {0,2,"GeneralSubtree"},
-  {"GeneralSubtree",1610612741,0},
+  {NULL,2,"GeneralSubtree"},
+  {"GeneralSubtree",1610612741,NULL},
   {"base",1073741826,"GeneralName"},
   {"minimum",1610653698,"BaseDistance"},
-  {0,1073741833,"0"},
-  {0,4104,"0"},
+  {NULL,1073741833,"0"},
+  {NULL,4104,"0"},
   {"maximum",536895490,"BaseDistance"},
-  {0,4104,"1"},
-  {"BaseDistance",1611137027,0},
+  {NULL,4104,"1"},
+  {"BaseDistance",1611137027,NULL},
   {"0",10,"MAX"},
-  {"id-ce-policyConstraints",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"36"},
-  {"PolicyConstraints",1610612741,0},
+  {"id-ce-policyConstraints",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"36"},
+  {"PolicyConstraints",1610612741,NULL},
   {"requireExplicitPolicy",1610637314,"SkipCerts"},
-  {0,4104,"0"},
+  {NULL,4104,"0"},
   {"inhibitPolicyMapping",536895490,"SkipCerts"},
-  {0,4104,"1"},
-  {"SkipCerts",1611137027,0},
+  {NULL,4104,"1"},
+  {"SkipCerts",1611137027,NULL},
   {"0",10,"MAX"},
-  {"id-ce-cRLDistributionPoints",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"31"},
-  {"CRLDistPointsSyntax",1612709899,0},
+  {"id-ce-cRLDistributionPoints",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"31"},
+  {"CRLDistPointsSyntax",1612709899,NULL},
   {"MAX",1074266122,"1"},
-  {0,2,"DistributionPoint"},
-  {"DistributionPoint",1610612741,0},
+  {NULL,2,"DistributionPoint"},
+  {"DistributionPoint",1610612741,NULL},
   {"distributionPoint",1610637314,"DistributionPointName"},
-  {0,4104,"0"},
+  {NULL,4104,"0"},
   {"reasons",1610637314,"ReasonFlags"},
-  {0,4104,"1"},
+  {NULL,4104,"1"},
   {"cRLIssuer",536895490,"GeneralNames"},
-  {0,4104,"2"},
-  {"DistributionPointName",1610612754,0},
+  {NULL,4104,"2"},
+  {"DistributionPointName",1610612754,NULL},
   {"fullName",1610620930,"GeneralNames"},
-  {0,4104,"0"},
+  {NULL,4104,"0"},
   {"nameRelativeToCRLIssuer",536879106,"RelativeDistinguishedName"},
-  {0,4104,"1"},
-  {"ReasonFlags",1610874886,0},
+  {NULL,4104,"1"},
+  {"ReasonFlags",1610874886,NULL},
   {"unused",1073741825,"0"},
   {"keyCompromise",1073741825,"1"},
   {"cACompromise",1073741825,"2"},
@@ -203,76 +203,76 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"superseded",1073741825,"4"},
   {"cessationOfOperation",1073741825,"5"},
   {"certificateHold",1,"6"},
-  {"id-ce-extKeyUsage",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"37"},
-  {"ExtKeyUsageSyntax",1612709899,0},
-  {"MAX",1074266122,"1"},
-  {0,2,"KeyPurposeId"},
-  {"KeyPurposeId",1073741836,0},
-  {"id-kp-serverAuth",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"1"},
-  {"id-kp-clientAuth",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"2"},
-  {"id-kp-codeSigning",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"3"},
-  {"id-kp-emailProtection",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"4"},
-  {"id-kp-ipsecEndSystem",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"5"},
-  {"id-kp-ipsecTunnel",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"6"},
-  {"id-kp-ipsecUser",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"7"},
-  {"id-kp-timeStamping",1879048204,0},
-  {0,1073741825,"id-kp"},
-  {0,1,"8"},
-  {"id-pe-authorityInfoAccess",1879048204,0},
-  {0,1073741825,"id-pe"},
-  {0,1,"1"},
-  {"AuthorityInfoAccessSyntax",1612709899,0},
-  {"MAX",1074266122,"1"},
-  {0,2,"AccessDescription"},
-  {"AccessDescription",1610612741,0},
-  {"accessMethod",1073741836,0},
+  {"id-ce-extKeyUsage",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"37"},
+  {"ExtKeyUsageSyntax",1612709899,NULL},
+  {"MAX",1074266122,"1"},
+  {NULL,2,"KeyPurposeId"},
+  {"KeyPurposeId",1073741836,NULL},
+  {"id-kp-serverAuth",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"1"},
+  {"id-kp-clientAuth",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"2"},
+  {"id-kp-codeSigning",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"3"},
+  {"id-kp-emailProtection",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"4"},
+  {"id-kp-ipsecEndSystem",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"5"},
+  {"id-kp-ipsecTunnel",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"6"},
+  {"id-kp-ipsecUser",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"7"},
+  {"id-kp-timeStamping",1879048204,NULL},
+  {NULL,1073741825,"id-kp"},
+  {NULL,1,"8"},
+  {"id-pe-authorityInfoAccess",1879048204,NULL},
+  {NULL,1073741825,"id-pe"},
+  {NULL,1,"1"},
+  {"AuthorityInfoAccessSyntax",1612709899,NULL},
+  {"MAX",1074266122,"1"},
+  {NULL,2,"AccessDescription"},
+  {"AccessDescription",1610612741,NULL},
+  {"accessMethod",1073741836,NULL},
   {"accessLocation",2,"GeneralName"},
-  {"id-ce-cRLNumber",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"20"},
-  {"CRLNumber",1611137027,0},
+  {"id-ce-cRLNumber",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"20"},
+  {"CRLNumber",1611137027,NULL},
   {"0",10,"MAX"},
-  {"id-ce-issuingDistributionPoint",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"28"},
-  {"IssuingDistributionPoint",1610612741,0},
+  {"id-ce-issuingDistributionPoint",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"28"},
+  {"IssuingDistributionPoint",1610612741,NULL},
   {"distributionPoint",1610637314,"DistributionPointName"},
-  {0,4104,"0"},
-  {"onlyContainsUserCerts",1610653700,0},
-  {0,1073872905,0},
-  {0,4104,"1"},
-  {"onlyContainsCACerts",1610653700,0},
-  {0,1073872905,0},
-  {0,4104,"2"},
+  {NULL,4104,"0"},
+  {"onlyContainsUserCerts",1610653700,NULL},
+  {NULL,1073872905,NULL},
+  {NULL,4104,"1"},
+  {"onlyContainsCACerts",1610653700,NULL},
+  {NULL,1073872905,NULL},
+  {NULL,4104,"2"},
   {"onlySomeReasons",1610637314,"ReasonFlags"},
-  {0,4104,"3"},
-  {"indirectCRL",536911876,0},
-  {0,1073872905,0},
-  {0,4104,"4"},
-  {"id-ce-deltaCRLIndicator",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"27"},
+  {NULL,4104,"3"},
+  {"indirectCRL",536911876,NULL},
+  {NULL,1073872905,NULL},
+  {NULL,4104,"4"},
+  {"id-ce-deltaCRLIndicator",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"27"},
   {"BaseCRLNumber",1073741826,"CRLNumber"},
-  {"id-ce-cRLReasons",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"21"},
-  {"CRLReason",1610874901,0},
+  {"id-ce-cRLReasons",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"21"},
+  {"CRLReason",1610874901,NULL},
   {"unspecified",1073741825,"0"},
   {"keyCompromise",1073741825,"1"},
   {"cACompromise",1073741825,"2"},
@@ -281,50 +281,50 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"cessationOfOperation",1073741825,"5"},
   {"certificateHold",1073741825,"6"},
   {"removeFromCRL",1,"8"},
-  {"id-ce-certificateIssuer",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"29"},
+  {"id-ce-certificateIssuer",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"29"},
   {"CertificateIssuer",1073741826,"GeneralNames"},
-  {"id-ce-holdInstructionCode",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"23"},
-  {"HoldInstructionCode",1073741836,0},
-  {"holdInstruction",1879048204,0},
+  {"id-ce-holdInstructionCode",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"23"},
+  {"HoldInstructionCode",1073741836,NULL},
+  {"holdInstruction",1879048204,NULL},
   {"joint-iso-itu-t",1073741825,"2"},
   {"member-body",1073741825,"2"},
   {"us",1073741825,"840"},
   {"x9cm",1073741825,"10040"},
-  {0,1,"2"},
-  {"id-holdinstruction-none",1879048204,0},
-  {0,1073741825,"holdInstruction"},
-  {0,1,"1"},
-  {"id-holdinstruction-callissuer",1879048204,0},
-  {0,1073741825,"holdInstruction"},
-  {0,1,"2"},
-  {"id-holdinstruction-reject",1879048204,0},
-  {0,1073741825,"holdInstruction"},
-  {0,1,"3"},
-  {"id-ce-invalidityDate",1879048204,0},
-  {0,1073741825,"id-ce"},
-  {0,1,"24"},
-  {"InvalidityDate",1082130449,0},
-  {"VisibleString",1610620935,0},
-  {0,4360,"26"},
-  {"NumericString",1610620935,0},
-  {0,4360,"18"},
-  {"IA5String",1610620935,0},
-  {0,4360,"22"},
-  {"TeletexString",1610620935,0},
-  {0,4360,"20"},
-  {"PrintableString",1610620935,0},
-  {0,4360,"19"},
-  {"UniversalString",1610620935,0},
-  {0,4360,"28"},
-  {"BMPString",1610620935,0},
-  {0,4360,"30"},
-  {"UTF8String",1610620935,0},
-  {0,4360,"12"},
-  {"id-pkix",1879048204,0},
+  {NULL,1,"2"},
+  {"id-holdinstruction-none",1879048204,NULL},
+  {NULL,1073741825,"holdInstruction"},
+  {NULL,1,"1"},
+  {"id-holdinstruction-callissuer",1879048204,NULL},
+  {NULL,1073741825,"holdInstruction"},
+  {NULL,1,"2"},
+  {"id-holdinstruction-reject",1879048204,NULL},
+  {NULL,1073741825,"holdInstruction"},
+  {NULL,1,"3"},
+  {"id-ce-invalidityDate",1879048204,NULL},
+  {NULL,1073741825,"id-ce"},
+  {NULL,1,"24"},
+  {"InvalidityDate",1082130449,NULL},
+  {"VisibleString",1610620935,NULL},
+  {NULL,4360,"26"},
+  {"NumericString",1610620935,NULL},
+  {NULL,4360,"18"},
+  {"IA5String",1610620935,NULL},
+  {NULL,4360,"22"},
+  {"TeletexString",1610620935,NULL},
+  {NULL,4360,"20"},
+  {"PrintableString",1610620935,NULL},
+  {NULL,4360,"19"},
+  {"UniversalString",1610620935,NULL},
+  {NULL,4360,"28"},
+  {"BMPString",1610620935,NULL},
+  {NULL,4360,"30"},
+  {"UTF8String",1610620935,NULL},
+  {NULL,4360,"12"},
+  {"id-pkix",1879048204,NULL},
   {"iso",1073741825,"1"},
   {"identified-organization",1073741825,"3"},
   {"dod",1073741825,"6"},
@@ -332,59 +332,59 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"security",1073741825,"5"},
   {"mechanisms",1073741825,"5"},
   {"pkix",1,"7"},
-  {"id-pe",1879048204,0},
-  {0,1073741825,"id-pkix"},
-  {0,1,"1"},
-  {"id-qt",1879048204,0},
-  {0,1073741825,"id-pkix"},
-  {0,1,"2"},
-  {"id-kp",1879048204,0},
-  {0,1073741825,"id-pkix"},
-  {0,1,"3"},
-  {"id-ad",1879048204,0},
-  {0,1073741825,"id-pkix"},
-  {0,1,"48"},
-  {"id-qt-cps",1879048204,0},
-  {0,1073741825,"id-qt"},
-  {0,1,"1"},
-  {"id-qt-unotice",1879048204,0},
-  {0,1073741825,"id-qt"},
-  {0,1,"2"},
-  {"id-ad-ocsp",1879048204,0},
-  {0,1073741825,"id-ad"},
-  {0,1,"1"},
-  {"id-ad-caIssuers",1879048204,0},
-  {0,1073741825,"id-ad"},
-  {0,1,"2"},
-  {"Attribute",1610612741,0},
+  {"id-pe",1879048204,NULL},
+  {NULL,1073741825,"id-pkix"},
+  {NULL,1,"1"},
+  {"id-qt",1879048204,NULL},
+  {NULL,1073741825,"id-pkix"},
+  {NULL,1,"2"},
+  {"id-kp",1879048204,NULL},
+  {NULL,1073741825,"id-pkix"},
+  {NULL,1,"3"},
+  {"id-ad",1879048204,NULL},
+  {NULL,1073741825,"id-pkix"},
+  {NULL,1,"48"},
+  {"id-qt-cps",1879048204,NULL},
+  {NULL,1073741825,"id-qt"},
+  {NULL,1,"1"},
+  {"id-qt-unotice",1879048204,NULL},
+  {NULL,1073741825,"id-qt"},
+  {NULL,1,"2"},
+  {"id-ad-ocsp",1879048204,NULL},
+  {NULL,1073741825,"id-ad"},
+  {NULL,1,"1"},
+  {"id-ad-caIssuers",1879048204,NULL},
+  {NULL,1073741825,"id-ad"},
+  {NULL,1,"2"},
+  {"Attribute",1610612741,NULL},
   {"type",1073741826,"AttributeType"},
-  {"values",536870927,0},
-  {0,2,"AttributeValue"},
-  {"AttributeType",1073741836,0},
-  {"AttributeValue",1073741837,0},
-  {"AttributeTypeAndValue",1610612741,0},
+  {"values",536870927,NULL},
+  {NULL,2,"AttributeValue"},
+  {"AttributeType",1073741836,NULL},
+  {"AttributeValue",1073741837,NULL},
+  {"AttributeTypeAndValue",1610612741,NULL},
   {"type",1073741826,"AttributeType"},
   {"value",2,"AttributeValue"},
-  {"id-at",1879048204,0},
+  {"id-at",1879048204,NULL},
   {"joint-iso-ccitt",1073741825,"2"},
   {"ds",1073741825,"5"},
-  {0,1,"4"},
+  {NULL,1,"4"},
   {"id-at-name",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"41"},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"41"},
   {"id-at-surname",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"4"},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"4"},
   {"id-at-givenName",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"42"},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"42"},
   {"id-at-initials",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"43"},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"43"},
   {"id-at-generationQualifier",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"44"},
-  {"X520name",1610612754,0},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"44"},
+  {"X520name",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"ub-name",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -396,9 +396,9 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"bmpString",538968066,"BMPString"},
   {"ub-name",524298,"1"},
   {"id-at-commonName",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"3"},
-  {"X520CommonName",1610612754,0},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"3"},
+  {"X520CommonName",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"ub-common-name",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -410,9 +410,9 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"bmpString",538968066,"BMPString"},
   {"ub-common-name",524298,"1"},
   {"id-at-localityName",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"7"},
-  {"X520LocalityName",1610612754,0},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"7"},
+  {"X520LocalityName",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"ub-locality-name",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -424,9 +424,9 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"bmpString",538968066,"BMPString"},
   {"ub-locality-name",524298,"1"},
   {"id-at-stateOrProvinceName",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"8"},
-  {"X520StateOrProvinceName",1610612754,0},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"8"},
+  {"X520StateOrProvinceName",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"ub-state-name",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -438,9 +438,9 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"bmpString",538968066,"BMPString"},
   {"ub-state-name",524298,"1"},
   {"id-at-organizationName",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"10"},
-  {"X520OrganizationName",1610612754,0},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"10"},
+  {"X520OrganizationName",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"ub-organization-name",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -452,9 +452,9 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"bmpString",538968066,"BMPString"},
   {"ub-organization-name",524298,"1"},
   {"id-at-organizationalUnitName",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"11"},
-  {"X520OrganizationalUnitName",1610612754,0},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"11"},
+  {"X520OrganizationalUnitName",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"ub-organizational-unit-name",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -466,9 +466,9 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"bmpString",538968066,"BMPString"},
   {"ub-organizational-unit-name",524298,"1"},
   {"id-at-title",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"12"},
-  {"X520Title",1610612754,0},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"12"},
+  {"X520Title",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"ub-title",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -480,35 +480,35 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"bmpString",538968066,"BMPString"},
   {"ub-title",524298,"1"},
   {"id-at-dnQualifier",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"46"},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"46"},
   {"X520dnQualifier",1073741826,"PrintableString"},
   {"id-at-countryName",1880096780,"AttributeType"},
-  {0,1073741825,"id-at"},
-  {0,1,"6"},
+  {NULL,1073741825,"id-at"},
+  {NULL,1,"6"},
   {"X520countryName",1612709890,"PrintableString"},
-  {0,1048586,"2"},
-  {"pkcs-9",1879048204,0},
+  {NULL,1048586,"2"},
+  {"pkcs-9",1879048204,NULL},
   {"iso",1073741825,"1"},
   {"member-body",1073741825,"2"},
   {"us",1073741825,"840"},
   {"rsadsi",1073741825,"113549"},
   {"pkcs",1073741825,"1"},
-  {0,1,"9"},
+  {NULL,1,"9"},
   {"emailAddress",1880096780,"AttributeType"},
-  {0,1073741825,"pkcs-9"},
-  {0,1,"1"},
+  {NULL,1073741825,"pkcs-9"},
+  {NULL,1,"1"},
   {"Pkcs9email",1612709890,"IA5String"},
   {"ub-emailaddress-length",524298,"1"},
-  {"Name",1610612754,0},
+  {"Name",1610612754,NULL},
   {"rdnSequence",2,"RDNSequence"},
-  {"RDNSequence",1610612747,0},
-  {0,2,"RelativeDistinguishedName"},
+  {"RDNSequence",1610612747,NULL},
+  {NULL,2,"RelativeDistinguishedName"},
   {"DistinguishedName",1073741826,"RDNSequence"},
-  {"RelativeDistinguishedName",1612709903,0},
+  {"RelativeDistinguishedName",1612709903,NULL},
   {"MAX",1074266122,"1"},
-  {0,2,"AttributeTypeAndValue"},
-  {"DirectoryString",1610612754,0},
+  {NULL,2,"AttributeTypeAndValue"},
+  {"DirectoryString",1610612754,NULL},
   {"teletexString",1612709890,"TeletexString"},
   {"MAX",524298,"1"},
   {"printableString",1612709890,"PrintableString"},
@@ -519,14 +519,14 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"MAX",524298,"1"},
   {"bmpString",538968066,"BMPString"},
   {"MAX",524298,"1"},
-  {"Certificate",1610612741,0},
+  {"Certificate",1610612741,NULL},
   {"tbsCertificate",1073741826,"TBSCertificate"},
   {"signatureAlgorithm",1073741826,"AlgorithmIdentifier"},
-  {"signature",6,0},
-  {"TBSCertificate",1610612741,0},
+  {"signature",6,NULL},
+  {"TBSCertificate",1610612741,NULL},
   {"version",1610653698,"Version"},
-  {0,1073741833,"v1"},
-  {0,2056,"0"},
+  {NULL,1073741833,"v1"},
+  {NULL,2056,"0"},
   {"serialNumber",1073741826,"CertificateSerialNumber"},
   {"signature",1073741826,"AlgorithmIdentifier"},
   {"issuer",1073741826,"Name"},
@@ -534,140 +534,140 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"subject",1073741826,"Name"},
   {"subjectPublicKeyInfo",1073741826,"SubjectPublicKeyInfo"},
   {"issuerUniqueID",1610637314,"UniqueIdentifier"},
-  {0,4104,"1"},
+  {NULL,4104,"1"},
   {"subjectUniqueID",1610637314,"UniqueIdentifier"},
-  {0,4104,"2"},
+  {NULL,4104,"2"},
   {"extensions",536895490,"Extensions"},
-  {0,2056,"3"},
-  {"Version",1610874883,0},
+  {NULL,2056,"3"},
+  {"Version",1610874883,NULL},
   {"v1",1073741825,"0"},
   {"v2",1073741825,"1"},
   {"v3",1,"2"},
-  {"CertificateSerialNumber",1073741827,0},
-  {"Validity",1610612741,0},
+  {"CertificateSerialNumber",1073741827,NULL},
+  {"Validity",1610612741,NULL},
   {"notBefore",1073741826,"Time"},
   {"notAfter",2,"Time"},
-  {"Time",1610612754,0},
-  {"utcTime",1090519057,0},
-  {"generalTime",8388625,0},
-  {"UniqueIdentifier",1073741830,0},
-  {"SubjectPublicKeyInfo",1610612741,0},
+  {"Time",1610612754,NULL},
+  {"utcTime",1090519057,NULL},
+  {"generalTime",8388625,NULL},
+  {"UniqueIdentifier",1073741830,NULL},
+  {"SubjectPublicKeyInfo",1610612741,NULL},
   {"algorithm",1073741826,"AlgorithmIdentifier"},
-  {"subjectPublicKey",6,0},
-  {"Extensions",1612709899,0},
+  {"subjectPublicKey",6,NULL},
+  {"Extensions",1612709899,NULL},
   {"MAX",1074266122,"1"},
-  {0,2,"Extension"},
-  {"Extension",1610612741,0},
-  {"extnID",1073741836,0},
-  {"critical",1610645508,0},
-  {0,131081,0},
-  {"extnValue",7,0},
-  {"CertificateList",1610612741,0},
+  {NULL,2,"Extension"},
+  {"Extension",1610612741,NULL},
+  {"extnID",1073741836,NULL},
+  {"critical",1610645508,NULL},
+  {NULL,131081,NULL},
+  {"extnValue",7,NULL},
+  {"CertificateList",1610612741,NULL},
   {"tbsCertList",1073741826,"TBSCertList"},
   {"signatureAlgorithm",1073741826,"AlgorithmIdentifier"},
-  {"signature",6,0},
-  {"TBSCertList",1610612741,0},
+  {"signature",6,NULL},
+  {"TBSCertList",1610612741,NULL},
   {"version",1073758210,"Version"},
   {"signature",1073741826,"AlgorithmIdentifier"},
   {"issuer",1073741826,"Name"},
   {"thisUpdate",1073741826,"Time"},
   {"nextUpdate",1073758210,"Time"},
-  {"revokedCertificates",1610629131,0},
-  {0,536870917,0},
+  {"revokedCertificates",1610629131,NULL},
+  {NULL,536870917,NULL},
   {"userCertificate",1073741826,"CertificateSerialNumber"},
   {"revocationDate",1073741826,"Time"},
   {"crlEntryExtensions",16386,"Extensions"},
   {"crlExtensions",536895490,"Extensions"},
-  {0,2056,"0"},
-  {"AlgorithmIdentifier",1610612741,0},
-  {"algorithm",1073741836,0},
-  {"parameters",541081613,0},
-  {"algorithm",1,0},
-  {"pkcs-1",1879048204,0},
+  {NULL,2056,"0"},
+  {"AlgorithmIdentifier",1610612741,NULL},
+  {"algorithm",1073741836,NULL},
+  {"parameters",541081613,NULL},
+  {"algorithm",1,NULL},
+  {"pkcs-1",1879048204,NULL},
   {"iso",1073741825,"1"},
   {"member-body",1073741825,"2"},
   {"us",1073741825,"840"},
   {"rsadsi",1073741825,"113549"},
   {"pkcs",1073741825,"1"},
-  {0,1,"1"},
-  {"rsaEncryption",1879048204,0},
-  {0,1073741825,"pkcs-1"},
-  {0,1,"1"},
-  {"md2WithRSAEncryption",1879048204,0},
-  {0,1073741825,"pkcs-1"},
-  {0,1,"2"},
-  {"md5WithRSAEncryption",1879048204,0},
-  {0,1073741825,"pkcs-1"},
-  {0,1,"4"},
-  {"sha1WithRSAEncryption",1879048204,0},
-  {0,1073741825,"pkcs-1"},
-  {0,1,"5"},
-  {"id-dsa-with-sha1",1879048204,0},
+  {NULL,1,"1"},
+  {"rsaEncryption",1879048204,NULL},
+  {NULL,1073741825,"pkcs-1"},
+  {NULL,1,"1"},
+  {"md2WithRSAEncryption",1879048204,NULL},
+  {NULL,1073741825,"pkcs-1"},
+  {NULL,1,"2"},
+  {"md5WithRSAEncryption",1879048204,NULL},
+  {NULL,1073741825,"pkcs-1"},
+  {NULL,1,"4"},
+  {"sha1WithRSAEncryption",1879048204,NULL},
+  {NULL,1073741825,"pkcs-1"},
+  {NULL,1,"5"},
+  {"id-dsa-with-sha1",1879048204,NULL},
   {"iso",1073741825,"1"},
   {"member-body",1073741825,"2"},
   {"us",1073741825,"840"},
   {"x9-57",1073741825,"10040"},
   {"x9algorithm",1073741825,"4"},
-  {0,1,"3"},
-  {"Dss-Sig-Value",1610612741,0},
-  {"r",1073741827,0},
-  {"s",3,0},
-  {"dhpublicnumber",1879048204,0},
+  {NULL,1,"3"},
+  {"Dss-Sig-Value",1610612741,NULL},
+  {"r",1073741827,NULL},
+  {"s",3,NULL},
+  {"dhpublicnumber",1879048204,NULL},
   {"iso",1073741825,"1"},
   {"member-body",1073741825,"2"},
   {"us",1073741825,"840"},
   {"ansi-x942",1073741825,"10046"},
   {"number-type",1073741825,"2"},
-  {0,1,"1"},
-  {"DomainParameters",1610612741,0},
-  {"p",1073741827,0},
-  {"g",1073741827,0},
-  {"q",1073741827,0},
-  {"j",1073758211,0},
+  {NULL,1,"1"},
+  {"DomainParameters",1610612741,NULL},
+  {"p",1073741827,NULL},
+  {"g",1073741827,NULL},
+  {"q",1073741827,NULL},
+  {"j",1073758211,NULL},
   {"validationParms",16386,"ValidationParms"},
-  {"ValidationParms",1610612741,0},
-  {"seed",1073741830,0},
-  {"pgenCounter",3,0},
-  {"id-dsa",1879048204,0},
+  {"ValidationParms",1610612741,NULL},
+  {"seed",1073741830,NULL},
+  {"pgenCounter",3,NULL},
+  {"id-dsa",1879048204,NULL},
   {"iso",1073741825,"1"},
   {"member-body",1073741825,"2"},
   {"us",1073741825,"840"},
   {"x9-57",1073741825,"10040"},
   {"x9algorithm",1073741825,"4"},
-  {0,1,"1"},
-  {"Dss-Parms",1610612741,0},
-  {"p",1073741827,0},
-  {"q",1073741827,0},
-  {"g",3,0},
-  {"ORAddress",1610612741,0},
+  {NULL,1,"1"},
+  {"Dss-Parms",1610612741,NULL},
+  {"p",1073741827,NULL},
+  {"q",1073741827,NULL},
+  {"g",3,NULL},
+  {"ORAddress",1610612741,NULL},
   {"built-in-standard-attributes",1073741826,"BuiltInStandardAttributes"},
   {"built-in-domain-defined-attributes",1073758210,"BuiltInDomainDefinedAttributes"},
   {"extension-attributes",16386,"ExtensionAttributes"},
-  {"BuiltInStandardAttributes",1610612741,0},
+  {"BuiltInStandardAttributes",1610612741,NULL},
   {"country-name",1073758210,"CountryName"},
   {"administration-domain-name",1073758210,"AdministrationDomainName"},
   {"network-address",1610637314,"NetworkAddress"},
-  {0,2056,"0"},
+  {NULL,2056,"0"},
   {"terminal-identifier",1610637314,"TerminalIdentifier"},
-  {0,2056,"1"},
+  {NULL,2056,"1"},
   {"private-domain-name",1610637314,"PrivateDomainName"},
-  {0,2056,"2"},
+  {NULL,2056,"2"},
   {"organization-name",1610637314,"OrganizationName"},
-  {0,2056,"3"},
+  {NULL,2056,"3"},
   {"numeric-user-identifier",1610637314,"NumericUserIdentifier"},
-  {0,2056,"4"},
+  {NULL,2056,"4"},
   {"personal-name",1610637314,"PersonalName"},
-  {0,2056,"5"},
+  {NULL,2056,"5"},
   {"organizational-unit-names",536895490,"OrganizationalUnitNames"},
-  {0,2056,"6"},
-  {"CountryName",1610620946,0},
-  {0,1073746952,"1"},
+  {NULL,2056,"6"},
+  {"CountryName",1610620946,NULL},
+  {NULL,1073746952,"1"},
   {"x121-dcc-code",1612709890,"NumericString"},
-  {0,1048586,"ub-country-name-numeric-length"},
+  {NULL,1048586,"ub-country-name-numeric-length"},
   {"iso-3166-alpha2-code",538968066,"PrintableString"},
-  {0,1048586,"ub-country-name-alpha-length"},
-  {"AdministrationDomainName",1610620946,0},
-  {0,1073744904,"2"},
+  {NULL,1048586,"ub-country-name-alpha-length"},
+  {"AdministrationDomainName",1610620946,NULL},
+  {NULL,1073744904,"2"},
   {"numeric",1612709890,"NumericString"},
   {"ub-domain-name-length",524298,"0"},
   {"printable",538968066,"PrintableString"},
@@ -677,7 +677,7 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"ub-x121-address-length",524298,"1"},
   {"TerminalIdentifier",1612709890,"PrintableString"},
   {"ub-terminal-id-length",524298,"1"},
-  {"PrivateDomainName",1610612754,0},
+  {"PrivateDomainName",1610612754,NULL},
   {"numeric",1612709890,"NumericString"},
   {"ub-domain-name-length",524298,"1"},
   {"printable",538968066,"PrintableString"},
@@ -686,42 +686,42 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"ub-organization-name-length",524298,"1"},
   {"NumericUserIdentifier",1612709890,"NumericString"},
   {"ub-numeric-user-id-length",524298,"1"},
-  {"PersonalName",1610612750,0},
+  {"PersonalName",1610612750,NULL},
   {"surname",1814044674,"PrintableString"},
-  {0,1073745928,"0"},
+  {NULL,1073745928,"0"},
   {"ub-surname-length",524298,"1"},
   {"given-name",1814061058,"PrintableString"},
-  {0,1073745928,"1"},
+  {NULL,1073745928,"1"},
   {"ub-given-name-length",524298,"1"},
   {"initials",1814061058,"PrintableString"},
-  {0,1073745928,"2"},
+  {NULL,1073745928,"2"},
   {"ub-initials-length",524298,"1"},
   {"generation-qualifier",740319234,"PrintableString"},
-  {0,1073745928,"3"},
+  {NULL,1073745928,"3"},
   {"ub-generation-qualifier-length",524298,"1"},
-  {"OrganizationalUnitNames",1612709899,0},
+  {"OrganizationalUnitNames",1612709899,NULL},
   {"ub-organizational-units",1074266122,"1"},
-  {0,2,"OrganizationalUnitName"},
+  {NULL,2,"OrganizationalUnitName"},
   {"OrganizationalUnitName",1612709890,"PrintableString"},
   {"ub-organizational-unit-name-length",524298,"1"},
-  {"BuiltInDomainDefinedAttributes",1612709899,0},
+  {"BuiltInDomainDefinedAttributes",1612709899,NULL},
   {"ub-domain-defined-attributes",1074266122,"1"},
-  {0,2,"BuiltInDomainDefinedAttribute"},
-  {"BuiltInDomainDefinedAttribute",1610612741,0},
+  {NULL,2,"BuiltInDomainDefinedAttribute"},
+  {"BuiltInDomainDefinedAttribute",1610612741,NULL},
   {"type",1612709890,"PrintableString"},
   {"ub-domain-defined-attribute-type-length",524298,"1"},
   {"value",538968066,"PrintableString"},
   {"ub-domain-defined-attribute-value-length",524298,"1"},
-  {"ExtensionAttributes",1612709903,0},
+  {"ExtensionAttributes",1612709903,NULL},
   {"ub-extension-attributes",1074266122,"1"},
-  {0,2,"ExtensionAttribute"},
-  {"ExtensionAttribute",1610612741,0},
-  {"extension-attribute-type",1611145219,0},
-  {0,1073743880,"0"},
+  {NULL,2,"ExtensionAttribute"},
+  {"ExtensionAttribute",1610612741,NULL},
+  {"extension-attribute-type",1611145219,NULL},
+  {NULL,1073743880,"0"},
   {"0",10,"ub-extension-attributes"},
-  {"extension-attribute-value",541073421,0},
-  {0,1073743880,"1"},
-  {"extension-attribute-type",1,0},
+  {"extension-attribute-value",541073421,NULL},
+  {NULL,1073743880,"1"},
+  {"extension-attribute-type",1,NULL},
   {"common-name",1342177283,"1"},
   {"CommonName",1612709890,"PrintableString"},
   {"ub-common-name-length",524298,"1"},
@@ -732,36 +732,36 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"TeletexOrganizationName",1612709890,"TeletexString"},
   {"ub-organization-name-length",524298,"1"},
   {"teletex-personal-name",1342177283,"4"},
-  {"TeletexPersonalName",1610612750,0},
+  {"TeletexPersonalName",1610612750,NULL},
   {"surname",1814044674,"TeletexString"},
-  {0,1073743880,"0"},
+  {NULL,1073743880,"0"},
   {"ub-surname-length",524298,"1"},
   {"given-name",1814061058,"TeletexString"},
-  {0,1073743880,"1"},
+  {NULL,1073743880,"1"},
   {"ub-given-name-length",524298,"1"},
   {"initials",1814061058,"TeletexString"},
-  {0,1073743880,"2"},
+  {NULL,1073743880,"2"},
   {"ub-initials-length",524298,"1"},
   {"generation-qualifier",740319234,"TeletexString"},
-  {0,1073743880,"3"},
+  {NULL,1073743880,"3"},
   {"ub-generation-qualifier-length",524298,"1"},
   {"teletex-organizational-unit-names",1342177283,"5"},
-  {"TeletexOrganizationalUnitNames",1612709899,0},
+  {"TeletexOrganizationalUnitNames",1612709899,NULL},
   {"ub-organizational-units",1074266122,"1"},
-  {0,2,"TeletexOrganizationalUnitName"},
+  {NULL,2,"TeletexOrganizationalUnitName"},
   {"TeletexOrganizationalUnitName",1612709890,"TeletexString"},
   {"ub-organizational-unit-name-length",524298,"1"},
   {"pds-name",1342177283,"7"},
   {"PDSName",1612709890,"PrintableString"},
   {"ub-pds-name-length",524298,"1"},
   {"physical-delivery-country-name",1342177283,"8"},
-  {"PhysicalDeliveryCountryName",1610612754,0},
+  {"PhysicalDeliveryCountryName",1610612754,NULL},
   {"x121-dcc-code",1612709890,"NumericString"},
-  {0,1048586,"ub-country-name-numeric-length"},
+  {NULL,1048586,"ub-country-name-numeric-length"},
   {"iso-3166-alpha2-code",538968066,"PrintableString"},
-  {0,1048586,"ub-country-name-alpha-length"},
+  {NULL,1048586,"ub-country-name-alpha-length"},
   {"postal-code",1342177283,"9"},
-  {"PostalCode",1610612754,0},
+  {"PostalCode",1610612754,NULL},
   {"numeric-code",1612709890,"NumericString"},
   {"ub-postal-code-length",524298,"1"},
   {"printable-code",538968066,"PrintableString"},
@@ -779,10 +779,10 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"extension-physical-delivery-address-components",1342177283,"15"},
   {"ExtensionPhysicalDeliveryAddressComponents",1073741826,"PDSParameter"},
   {"unformatted-postal-address",1342177283,"16"},
-  {"UnformattedPostalAddress",1610612750,0},
-  {"printable-address",1814052875,0},
+  {"UnformattedPostalAddress",1610612750,NULL},
+  {"printable-address",1814052875,NULL},
   {"ub-pds-physical-address-lines",1074266122,"1"},
-  {0,538968066,"PrintableString"},
+  {NULL,538968066,"PrintableString"},
   {"ub-pds-parameter-length",524298,"1"},
   {"teletex-string",740311042,"TeletexString"},
   {"ub-unformatted-address-length",524298,"1"},
@@ -796,41 +796,41 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"UniquePostalName",1073741826,"PDSParameter"},
   {"local-postal-attributes",1342177283,"21"},
   {"LocalPostalAttributes",1073741826,"PDSParameter"},
-  {"PDSParameter",1610612750,0},
+  {"PDSParameter",1610612750,NULL},
   {"printable-string",1814052866,"PrintableString"},
   {"ub-pds-parameter-length",524298,"1"},
   {"teletex-string",740311042,"TeletexString"},
   {"ub-pds-parameter-length",524298,"1"},
   {"extended-network-address",1342177283,"22"},
-  {"ExtendedNetworkAddress",1610612754,0},
-  {"e163-4-address",1610612741,0},
+  {"ExtendedNetworkAddress",1610612754,NULL},
+  {"e163-4-address",1610612741,NULL},
   {"number",1612718082,"NumericString"},
-  {0,1073743880,"0"},
+  {NULL,1073743880,"0"},
   {"ub-e163-4-number-length",524298,"1"},
   {"sub-address",538992642,"NumericString"},
-  {0,1073743880,"1"},
+  {NULL,1073743880,"1"},
   {"ub-e163-4-sub-address-length",524298,"1"},
   {"psap-address",536879106,"PresentationAddress"},
-  {0,2056,"0"},
-  {"PresentationAddress",1610612741,0},
-  {"pSelector",1610637319,0},
-  {0,2056,"0"},
-  {"sSelector",1610637319,0},
-  {0,2056,"1"},
-  {"tSelector",1610637319,0},
-  {0,2056,"2"},
-  {"nAddresses",538976271,0},
-  {0,1073743880,"3"},
+  {NULL,2056,"0"},
+  {"PresentationAddress",1610612741,NULL},
+  {"pSelector",1610637319,NULL},
+  {NULL,2056,"0"},
+  {"sSelector",1610637319,NULL},
+  {NULL,2056,"1"},
+  {"tSelector",1610637319,NULL},
+  {NULL,2056,"2"},
+  {"nAddresses",538976271,NULL},
+  {NULL,1073743880,"3"},
   {"MAX",1074266122,"1"},
-  {0,7,0},
+  {NULL,7,NULL},
   {"terminal-type",1342177283,"23"},
-  {"TerminalType",1611137027,0},
+  {"TerminalType",1611137027,NULL},
   {"0",10,"ub-integer-options"},
   {"teletex-domain-defined-attributes",1342177283,"6"},
-  {"TeletexDomainDefinedAttributes",1612709899,0},
+  {"TeletexDomainDefinedAttributes",1612709899,NULL},
   {"ub-domain-defined-attributes",1074266122,"1"},
-  {0,2,"TeletexDomainDefinedAttribute"},
-  {"TeletexDomainDefinedAttribute",1610612741,0},
+  {NULL,2,"TeletexDomainDefinedAttribute"},
+  {"TeletexDomainDefinedAttribute",1610612741,NULL},
   {"type",1612709890,"TeletexString"},
   {"ub-domain-defined-attribute-type-length",524298,"1"},
   {"value",538968066,"TeletexString"},
@@ -870,5 +870,5 @@ const ASN1_ARRAY_TYPE pkix_asn1_tab[]={
   {"ub-terminal-id-length",1342177283,"24"},
   {"ub-unformatted-address-length",1342177283,"180"},
   {"ub-x121-address-length",268435459,"16"},
-  {0,0,0}
+  {NULL,0,NULL}
 };
